.product-quick-content__present {
  float: left;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.product-quick-content__present img {
  width: 50px;
  height: 50px;
  min-width: 50px;
}

.product-quick-content__present .name {
  color: #0b2b43;
  font-size: 14px;
  font-weight: 400;
  line-height: 22px;
}

.product-quick-content__present .name a {
  color: #0b2b43;
}

.present-table-row {
  -webkit-box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.22) inset;
          box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.22) inset;
}

.present-badge {
  position: relative;
  color: #ffffff;
  font-size: 12px;
  font-weight: 700;
  line-height: 25px;
  padding-right: 10px;
  text-align: center;
  text-transform: uppercase;
  width: 90px;
  height: 25px;
  border-radius: 2px;
  background: url(/static/web/img/present-badge.png) 0 0 no-repeat;
}

.present {
  margin-top: 15px;
  margin-bottom: 35px;
}

.present__header {
  color: #989898;
  font-size: 18px;
  font-weight: 700;
}

.present .wrap {
  position: relative;
  width: 400px;
  height: 110px;
  overflow: hidden;
}

.present .present__image {
  position: absolute;
  top: -20px;
}

.present .present__image img {
  -webkit-transition: -webkit-transform 2s;
  transition: -webkit-transform 2s;
  -o-transition: transform 2s;
  transition: transform 2s;
  transition: transform 2s, -webkit-transform 2s;
}

.present .present__image-grad {
  position: absolute;
  top: 10%;
  width: 200%;
  height: 56%;
  background: -webkit-gradient(linear, left bottom, left top, from(#000000a3), color-stop(50%, #ffffff00));
  background: -webkit-linear-gradient(bottom, #000000a3 0%, #ffffff00 50%);
  background: -o-linear-gradient(bottom, #000000a3 0%, #ffffff00 50%);
  background: linear-gradient(0deg, #000000a3 0%, #ffffff00 50%);
  z-index: 2;
}

.present .present__name {
  position: absolute;
  bottom: 0;
  -o-text-overflow: ellipsis;
     text-overflow: ellipsis;
  width: 100%;
  font-size: 24px;
  font-weight: 600;
  white-space: nowrap;
  overflow: hidden;
  padding: 5px;
  color: white;
  z-index: 3;
  font-size: 18px;
  font-weight: 700;
  font-style: italic;
}

.present a {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 6;
}

.present .present__wrapper {
  position: absolute;
  z-index: 5;
  right: 0;
  -webkit-transition: right 1s;
  -o-transition: right 1s;
  transition: right 1s;
}

.present .present__wrapper .present__title {
  position: absolute;
  right: 10px;
  top: 40px;
  font-weight: 700;
  font-size: 22px;
  color: white;
  z-index: 3;
  -webkit-transform: rotate(45deg);
      -ms-transform: rotate(45deg);
          transform: rotate(45deg);
  -webkit-transition: opacity 1s;
  -o-transition: opacity 1s;
  transition: opacity 1s;
}

.present .present__wrapper .present__icon {
  position: absolute;
  right: 105px;
  top: 5px;
  width: 20px;
  height: 20px;
  background: url(/static/web/img/present.png);
  background-size: cover;
  -webkit-transition: opacity 0.5s;
  -o-transition: opacity 0.5s;
  transition: opacity 0.5s;
  opacity: 0;
  z-index: 4;
}

.present .present__wrapper .present__tria {
  width: 0;
  height: 0;
  right: 50px;
  position: absolute;
  border-top: 110px solid rgba(198, 40, 40, 0.9);
  border-left: 110px solid transparent;
  z-index: 1;
}

.present .present__wrapper .present__rect {
  right: 0;
  position: absolute;
  width: 50px;
  height: 110px;
  background: rgba(198, 40, 40, 0.9);
  z-index: 1;
}

.present:hover .present__image img {
  -webkit-transform: scale(0.9);
      -ms-transform: scale(0.9);
          transform: scale(0.9);
}

.present:hover .present__wrapper {
  right: -100px;
}

.present:hover .present__icon {
  opacity: 1;
  -webkit-transition-delay: 0.5s;
       -o-transition-delay: 0.5s;
          transition-delay: 0.5s;
}

.present:hover .present__title {
  opacity: 0;
}
